#!/usr/bin/python
# -*- coding: utf-8 -*-

from pathlib import Path

from setuptools import find_packages, setup

VERSION = open("wf_inspector/_version.py").readlines()[-1].split()[-1].strip("\"'")
README = Path("README.md").read_text()

requires = ["argparse", "requests", "pycapo"]

setup(
    name="ssa-" + Path().absolute().name,
    version=VERSION,
    description="Workspaces workflow inspector; inspect a running workflow!",
    long_description=README,
    author="NRAO SSA Team",
    author_email="dms-ssa@nrao.edu",
    url="TBD",
    license="GPL",
    install_requires=requires,
    keywords=[],
    packages=find_packages(),
    classifiers=["Programming Language :: Python :: 3.8"],
    entry_points={"console_scripts": ["wf_inspector = wf_inspector.inspector:main"]},
)
